use std::fs;

const WIDTH: usize = 7;

pub fn solve() {
    let path = "res/17/input.txt";

    let contents = fs::read_to_string(path).expect("I/O error, wrong path?");

    let directions: Vec<Dir> = contents
        .chars()
        .filter(|c| *c != '\n')
        .map(|c| match c {
            '>' => Dir::Right,
            '<' => Dir::Left,
            _ => std::unreachable!(),
        })
        .collect();

    // [width][height]
    let chamber = vec![Vec::<bool>::new(); WIDTH];
}

enum Dir {
    Right,
    Left,
}
